- Processing
- p5.js
- Processing.py

- Processing Foundation

This reference is for Processing 3.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### set()
Examples |
    import processing.sound.*;
    SqrOsc square;

    void setup() {
      size(640, 360);
      background(255);

      // Create square wave oscillator.
      square = new SqrOsc(this);
      square.play();
    }

    void draw() {
    }

    void mousePressed() {
      float freq=200;
      float amp=0.5;
      float add=0.0;
      float pos=1;
      square.set(freq, amp, add, pos);
    }
Description | Sets amplitude, add and pan position with one method.
Syntax |
    square.set(freq, amp, add, pos)

Updated on June 20, 2015 10:37:41pm UTC